<template>
  <nav class="flex items-center justify-between flex-wrap px-6 py-4 w-full">
    <nuxt-link to="/" class="flex items-center flex-shrink-0 text-white mr-6 logo" aria-label="icon">
      <Logo :dark="$colorMode.value === 'light'" />
    </nuxt-link>
    <div class="block lg:hidden">
      <button class="flex items-center px-3 py-2 border rounded hover:text-white hover:border-white" @click="openTab">
        <Menu />
      </button>
    </div>
    <div class="w-full lg:block flex-grow  lg:flex lg:items-center lg:w-auto" :class="isDisplay ? 'block' : 'hidden'">
      <div class="text-sm lg:flex-grow">
        <nuxt-link to="/" href="#responsive-header" class="block text-base lg:inline-block mr-4">Beranda</nuxt-link>
        <nuxt-link to="/informasi" href="#responsive-header" class="block text-base lg:inline-block mr-4"
          >Informasi</nuxt-link
        >
        <nuxt-link to="/kasus" href="#responsive-header" class="block text-base lg:inline-block mr-4">Kasus</nuxt-link>
        <nuxt-link to="/panduan" href="#responsive-header" class="block text-base lg:inline-block mr-4"
          >Panduan</nuxt-link
        >
        <nuxt-link to="/lainnya" href="#responsive-header" class="block text-base lg:inline-block mr-4"
          >Lainnya</nuxt-link
        >
        <nuxt-link to="/cari-bantuan" href="#responsive-header" class="block text-base lg:inline-block mr-4"
          >Berbagi Bantuan</nuxt-link
        >
      </div>
    </div>
    <div class="lg:block" :class="isDisplay ? 'block' : 'hidden'">
      <SwitchColor />
    </div>
  </nav>
</template>

<script>
const SwitchColor = () => import('~/components/SwitchColor');
const Logo = () => import('~/components/Logo');
const Menu = () => import('~/components/Icons/menu');
export default {
  components: {
    SwitchColor,
    Logo,
    Menu,
  },
  data: () => ({
    isDisplay: true,
  }),
  beforeMount() {
    if (this.$mq === 'sm') {
      this.isDisplay = false;
    }
  },
  methods: {
    openTab() {
      this.isDisplay = !this.isDisplay;
    },
  },
};
</script>

<style lang="scss" scoped>
nav {
  a {
    padding: 5px 0;
    margin: 10px;
    &.logo {
      padding: 0;
      margin: 0 10px;

      &.active {
        border: none;
      }
    }
    &.active {
      border-bottom: 2px solid $red;
    }
  }
}
.dark-mode {
  nav {
    box-shadow: 0px 3px 10px $box-shadow-dark;
  }
}
.light-mode {
  nav {
    box-shadow: 0px 2px 7px $box-shadow;
  }
}
</style>
